MSP430™CapTIvateSoftwareLibraryAPIGuide 1_70_00_03

Data Fields
tCaptivateApplication Struct Reference
CAPT_TYPE

typedef tCaptivateApplication More...

`#include <CAPT_Type.h>`

Collaboration diagram for tCaptivateApplication:
[legend]

## Data Fields
tSensor ** | pSensorList
uint16_t | ui16ActiveModeScanPeriod
uint16_t | ui16WakeOnProxModeScanPeriod
uint16_t | ui16InactivityTimeout
uint8_t | ui8WakeupInterval
uint8_t | ui8NrOfSensors
| ui8NrOfSensors defines the number of sensors in the application More...
uint8_t | ui8AppLPM
| ui8MeasurementLPM defines the low power mode to use in the app. More...
tAppState | state
| tAppState controls the state (active or autonomous) of the UI. More...
bool | bElementDataTxEnable: 1
bool | bSensorDataTxEnable: 1

## Detailed Description

typedef tCaptivateApplication

The application type stores global information about a CapTIvate™ application. This structure is used for passing information to the CapTIvate™ manager functions.

## Field Documentation

## § pSensorList

tSensor** tCaptivateApplication::pSensorList

pSensorList is a pointer to an array of pointers to each sensor, ordered alphabetically.

Referenced by CAPT_calibrateUI(), CAPT_getGlobalUIProximityStatus(), CAPT_initUI(), and CAPT_updateUI().

## § ui16ActiveModeScanPeriod

uint16_t tCaptivateApplication::ui16ActiveModeScanPeriod

ui16ActiveModeScanPeriod specifies the amount of time in milliseconds between each UI refresh when in active mode.

## § ui16WakeOnProxModeScanPeriod

uint16_t tCaptivateApplication::ui16WakeOnProxModeScanPeriod

ui16WakeOnProxModeScanPeriod specifies the amount of time in milliseconds between each refresh when in wake-on-prox mode.

## § ui16InactivityTimeout

uint16_t tCaptivateApplication::ui16InactivityTimeout

ui16InactivityTimeout specifies the number of samples in a row with no proximity detections after which to enter wake on prox mode, if already in active mode.

## § ui8WakeupInterval

uint8_t tCaptivateApplication::ui8WakeupInterval

ui8WakeupInterval applies to wake on proximity mode only. This field should be populated with CAPT_COUNTER__x values. It defines after how may autonomous conversions a conversion counter interrupt is set. This mechanism can be used to periodically wake the UI even if a touch is not detected, for the purpose of making sure all other sensors are tracking correctly and to maintain their long term averages.

## § ui8NrOfSensors

uint8_t tCaptivateApplication::ui8NrOfSensors

ui8NrOfSensors defines the number of sensors in the application

Referenced by CAPT_calibrateUI(), CAPT_getGlobalUIProximityStatus(), CAPT_initUI(), and CAPT_updateUI().

## § ui8AppLPM

uint8_t tCaptivateApplication::ui8AppLPM

ui8MeasurementLPM defines the low power mode to use in the app.

Referenced by CAPT_updateUI().

## § state

tAppState tCaptivateApplication::state

tAppState controls the state (active or autonomous) of the UI.

## § bElementDataTxEnable

bool tCaptivateApplication::bElementDataTxEnable

bElementDataTxEnable controls whether element data is allowed to be sent when CAPT_writeElementData is called.

## § bSensorDataTxEnable

bool tCaptivateApplication::bSensorDataTxEnable

bSensorDataTxEnable controls whether sensor data is allowed to be sent when CAPT_writeSensorData is called.

The documentation for this struct was generated from the following file:

- CAPT_Type.h

© Copyright 1995-2018, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale